Siparişler
Siparişleri Listele
Siparişlerinizi sayfalama ve filtrelerle listeleyin
GET
/
api
/
v1
/
orders
Siparişleri Listele
curl --request GET \
--url https://api.example.com/api/v1/ordersimport requests
url = "https://api.example.com/api/v1/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Siparişleri Listele
Siparişlerinizin sayfalanmış listesini, en yeniden başlayarak döndürür.Sorgu parametreleri
number
Sayfa numarası (varsayılan 1)
number
Sayfa başına sonuç (varsayılan 50, en fazla 100)
string
Duruma göre filtrele (örn.
filled, pending, failed)string
Sipariş türüne göre filtrele —
energy veya bandwidthYanıt
orders (sipariş nesneleri dizisi), total, page ve page_size döndürür.
Örnek
curl "https://api.tronrental.com/v1/orders?type=energy&status=filled&page=1" \
-H "X-API-Key: your_api_key"
Response
{
"orders": [
{
"id": 12345,
"type": "energy",
"target_address": "TRecipientAddress...",
"volume": 65000,
"duration": "1h",
"price_trx": "1.79",
"status": "filled",
"delegate_txid": "a1b2c3d4e5f6...",
"undelegate_txid": null,
"reclaim_at": null,
"source": "api",
"created_at": "2026-06-10T04:30:00Z"
}
],
"total": 42,
"page": 1,
"page_size": 50
}
⌘I
Siparişleri Listele
